curl --request POST \
--url https://api.example.com/api/auth/logout \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"refreshToken": "<string>"
}
'{
"success": true,
"message": "<string>"
}Logout and revoke refresh token
curl --request POST \
--url https://api.example.com/api/auth/logout \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"refreshToken": "<string>"
}
'{
"success": true,
"message": "<string>"
}Logs out the current user by revoking their refresh token. This prevents the refresh token from being used to obtain new access tokens. Requires authentication.Documentation Index
Fetch the complete documentation index at: https://mintlify.com/LeonardoCaero/platform-api/llms.txt
Use this file to discover all available pages before exploring further.
Bearer <access_token>{
"success": false,
"error": {
"message": "Unauthorized",
"statusCode": 401
}
}
{
"success": false,
"error": {
"message": "Validation error",
"statusCode": 400,
"details": []
}
}
curl -X POST https://api.example.com/api/auth/logout \
-H "Content-Type: application/json" \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..." \
-d '{
"refreshToken": "rt_clx1234567890abcdef"
}'
{
"success": true,
"message": "Logged out successfully"
}